
;protos
LoadSeq					PROTO	:LPVOID
SaveSeq					PROTO	:LPVOID
LoadCubeState			PROTO	:LPVOID,:HWND
SaveCubeState			PROTO	:LPVOID,:HWND
GetOpenFile				PROTO	:HWND,:HINSTANCE,:LPVOID,:DWORD,:LPVOID,:LPVOID,:LPVOID
GetSaveFile				PROTO	:HWND,:HINSTANCE,:LPVOID,:DWORD,:LPVOID,:LPVOID,:LPVOID
GetFileNameOfs			PROTO	:LPVOID,:DWORD
ShowFileName			PROTO	:HWND,:LPVOID



;consts
.const
SQF_ID			equ "FQSC"
CSF_ID			equ "FSCR"
SQF_TEXT		equ 01h


align 8
SeqFilter		db "Rubik's Cube Move Sequence",0,"*."
DefSeqExt		db "csq",0,0
SeqOpenTitle	db "Open Move Sequence File",0
SeqSaveTitle	db "Save Move Sequence File",0
align 8
StatFilter	 	db "Rubik's Cube State File",0,"*."
DefStatExt		db "csf",0,0
StatOpenTitle	db "Open Cube State File",0
StatSaveTitle	db "Save Cube State File",0

;file extentions
;.csq; .csf
;szDefSeq		db "1.csq",0
;szDefCube		db "1.csf",0

;structures

CSQ_HEAD struct
	csqId			dd ?
	cbFile			dd ?
	dwFlags			dd ?
	cbHead			dd ?
	ofsSeq			dd ?
	cbSeq			dd ?
	ofsComment		dd ?
	cbComment		dd ?
CSQ_HEAD ends


CSF_HEAD struct
	csfId			dd ?
	cbFile			dd ?
	dwFlags			dd ?
	cbHead			dd ?
	ofsColors		dd ?	;offset to colors saved (6 RGB values)
	ofsCubeState	dd ?	;offset to CUBE struct with cube state
	ofsComment		dd ?
	cbComment		dd ?
CSF_HEAD ends